%define         _Xprefix /usr/X11R6
%define         _Xbindir %_Xprefix/bin

Name:		fluxconf
Version: 0.9.8
Release: 3mdk
Summary:	Configuration utility for fluxbox
Url:		http://devaux.fabien.free.fr/flux
Source:		http://devaux.fabien.free.fr/flux/%name-%version.tar.bz2
License:	GPL
Group:		Graphical desktop/Other
BuildRoot:	%_tmppath/%name-buildroot
BuildRequires:	gtk2-devel

%description

With this gtk-app you can easily change all fluxbox settings.


%prep
%setup -q


%build
%configure2_5x
%make


%install
%__rm -rf %buildroot %name.lang
%makeinstall bindir=%buildroot%_Xbindir
%find_lang %name
cd %buildroot%_Xbindir
ln -sf fluxconf fluxbare
ln -sf fluxconf fluxkeys
ln -sf fluxconf fluxmenu

%clean
%__rm -rf %buildroot


%files -f %name.lang
%defattr(0755,root,root,0755)
%_Xbindir/fluxconf
%_Xbindir/fluxkeys
%_Xbindir/fluxbare
%_Xbindir/fluxmenu
%defattr(0644,root,root,0755)
%doc AUTHORS ChangeLog INSTALL README


%changelog
* Fri Jun 10 2005 Gtz Waschk <waschk@mandriva.org> 0.9.8-3mdk
- fix buildrequires

* Fri Jun 10 2005 Gtz Waschk <waschk@mandriva.org> 0.9.8-2mdk
- fix broken symlinks

* Fri Jun 10 2005 Gtz Waschk <waschk@mandriva.org> 0.9.8-1mdk
- fix installation
- New release 0.9.8

* Thu Jan 13 2005 Lenny Cartier <lenny@mandrakesoft.com> 0.9.7-2mdk
- rebuild

* Fri Dec 19 2003 Han Boetes <han@linux-mandrake.com> 0.9.7-1mdk
- bump

* Wed Dec 10 2003 Lenny Cartier <lenny@mandrakesoft.com> 0.9.6-1mdk
- 0.9.6

* Thu Sep 25 2003 Han Boetes <han@linux-mandrake.com> 0.9.5-1mdk
- Bump. Thanks fab ;)

* Fri Apr 25 2003 Han Boetes <han@linux-mandrake.com> 0.9.4-2mdk
- Stephans magic bot found some missing builddeps.

* Mon Jan 20 2003 Han Boetes <han@linux-mandrake.com> 0.9.4-1mdk
- Bump. Thanks fab ;)
- I can always find things to improve.

* Mon Jan 13 2003 Lenny Cartier <lenny@mandrakesoft.com> 0.9.3-1mdk
- 0.9.3

* Fri Dec 27 2002 Han Boetes <han@linux-mandrake.com> 0.9.1-2mdk
- rebuilt because of new rpm macros and new glibc

* Tue Nov  5 2002 Han Boetes <han@linux-mandrake.com> 0.9.1-1mdk
- Bump

* Thu Aug 15 2002 Han Boetes <han@linux-mandrake.com> 0.8.7-1mdk
- Bump.

* Wed Jul 03 2002 Lenny Cartier <lenny@mandrakesoft.com> 0.8.5-1mdk
- 0.8.5

* Tue Jun 18 2002 Han Boetes <han@mijncomputer.nl> 0.8.3-1mdk
- fab is in the mood. Bump. Bump. Bump. Bump.

* Tue Jun 18 2002 Han Boetes <han@mijncomputer.nl> 0.8.2-1mdk
- fab is in the mood. Bump. Bump. Bump. Bump.

* Tue Jun 18 2002 Han Boetes <han@mijncomputer.nl> 0.8.1-1mdk
- Bump.

* Wed Jun 12 2002 Han Boetes <han@mijncomputer.nl> 0.7.2-1mdk
- Bump.

* Tue Jun 11 2002 Han Boetes <han@mijncomputer.nl> 0.7-2mdk
- And now the right one.

* Tue Jun 11 2002 Han Boetes <han@mijncomputer.nl> 0.7-1mdk
- Initial mdk release.
